REM @echo off
alias _echo=echo
alias __echo=REM

__echo Initializing program
set a=Y

__echo clearing answer file
del /y a:zap > NUL

__echo going to _%1...
goto _%1

:_asm
call asm /i.. /i..\.. /i..\..\.. %2 %3 %4 %5 %6 %7 %8 %9 >> a:zap
goto finfin

:_
_echo Making everything.
set a=N

:_n
:_nucleus
_echo Making the Nucleus.


if x%a == xY goto fin

:_loader
:_loader.asm
:_loader.com
_echo Making the Basic objects.


if x%a == xY goto fin

call asm /i.. /i..\.. /i..\..\.. ..\apiheadr >> a:zap
call asm /i.. /i..\.. /i..\..\.. ba-headr >> a:zap
call asm /i.. /i..\.. /i..\..\.. ba-rm >> a:zap
call asm /i.. /i..\.. /i..\..\.. ba-pm >> a:zap

:_l
:_lk
:_li
:_link
tlink /m /l /s /c /3 @objlst , oslki386.exe >> a:zap
exe2bin oslki386 >> a:zap
if x%a == xY goto fin

:fin
type a:zap /p

:finfin
